export declare abstract class IContentManager {
    abstract calcTextCount(): number;
    abstract getHtml(): string;
    abstract setHtml(content: string): void;
    abstract getContent(): string;
    abstract setContent(content: string): void;
    abstract appendContent(content: string | string[], cb?: (para: HTMLElement) => void): void;
    abstract insert(content: string | Node): void;
    abstract delete(): void;
    abstract update(content: string | Node): void;
    abstract getParas(): HTMLElement[];
    abstract getTextContent(): string[];
    abstract insertEmptyPara(): void;
}
